Bug 1319661 (CVE-2016-3616) - CVE-2016-3616 libjpeg: null pointer dereference in cjpeg
Summary: CVE-2016-3616 libjpeg: null pointer dereference in cjpeg
Status: CLOSED WONTFIX
Alias: CVE-2016-3616
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160330,repor...
Keywords: Security
Depends On: 1322301 1322302
Blocks: 1319664
TreeView+ depends on / blocked
 
Reported: 2016-03-21 09:49 UTC by Andrej Nemec
Modified: 2019-06-08 21:05 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 02:49:56 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-03-21 09:49:41 UTC
A null pointer dereference vulnerability was reported in libjpeg library in cjpeg component. A maliciously crafted file could cause an application to crash. In specific cases this may also allow the attacker to remotely execute commands.

Comment 1 Andrej Nemec 2016-03-21 09:50:30 UTC
Original bug report with reproducer attached:

https://bugzilla.redhat.com/show_bug.cgi?id=1318509

Comment 2 Andrej Nemec 2016-03-21 09:50:57 UTC
Acknowledgments:

Name: Aladdin Mubaied

Comment 4 Huzaifa S. Sidhpurwala 2016-03-30 09:12:31 UTC
Analysis at https://bugzilla.redhat.com/show_bug.cgi?id=1318509#c4

Comment 5 Huzaifa S. Sidhpurwala 2016-03-30 09:13:44 UTC
Created libjpeg-turbo tracking bugs for this issue:

Affects: fedora-all [bug 1322301]

Comment 6 Huzaifa S. Sidhpurwala 2016-03-30 09:13:53 UTC
Created mingw-libjpeg-turbo tracking bugs for this issue:

Affects: fedora-all [bug 1322302]

Comment 7 Huzaifa S. Sidhpurwala 2016-03-30 09:40:18 UTC
Also disclosed on oss-security mailing list via:
http://www.openwall.com/lists/oss-security/2016/03/30/2


Note You need to log in before you can comment on or make changes to this bug.